[BLFS Trac] #2200: Python-2.5

BLFS Trac trac at linuxfromscratch.org
Sat Jan 13 20:39:57 PST 2007


#2200: Python-2.5
---------------------------------------------+------------------------------
 Reporter:  dnicholson at linuxfromscratch.org  |        Owner:  bdubbs at linuxfromscratch.org
     Type:  defect                           |       Status:  assigned                   
 Priority:  high                             |    Milestone:  6.2.0                      
Component:  BOOK                             |      Version:  SVN                        
 Severity:  normal                           |   Resolution:                             
 Keywords:  security python                  |  
---------------------------------------------+------------------------------
Comment (by randy at linuxfromscratch.org):

 I will not put myself in the position of "making the call". It
 will be a joint/community decision or a single editor's decision.
 If that makes me an incompentent person to make decisions, then
 so be it.

 Bruce, you are that single Editor. So, it is actually your call.

 I will say this:

 If it were me, I'd go with 2.4.4 as long as the information
 I'm interpreting at http://www.python.org/news/security/ is valid
 information. According to this, the 2.4.4 version fixes all known
 security problems. Again, I could be wrong in my interpretation.

 I am concerned about the API changes. Python is practically
 a mandatory dependency for many packages, including the GNOME
 desktop. The 2.4.x series is *known* to work. 2.5 will be a
 mystery. There simply isn't time to test everything that
 depends on Python.

 Just my thoughts, anyway. Hopefully, others will chime in.
 Bruce, if you're confident with 2.5, then do it. I can't offer
 much more than that.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/2200#comment:4>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list